=== debian/changelog ===
pixelize (2.0.0~git20220108.d1f9da9-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/copyright: update year info
  * add d/clean
  * add debian/pixelize.png for desktop icon
  * d/README.Debian: add info for how to produce debian/pixelize.png
  * d/install: add install debian/pixelize.png
  * add d/p/fix-Makefile-shuffle.patch, Closes: #1105684
  * add d/p/fix-pixelize.glade-UI-i18n.patch
  * d/pixelize.desktop:
      - add Keywords=graphic;grid;rendered;
      - add Name[zh_CN] Comment[zh_CN] Keywords[zh_CN] translate

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 16 May 2025 11:18:26 +0800

pixelize (2.0.0~git20220108.d1f9da9-1) unstable; urgency=medium

  * New upstream version by switching to fork at Github
    Closes: #948999, #967703
  * Move package to Debian Phototools team
  * Switch from cdbs to dh
  * debian/source/format: 3.0 (quilt)
  * Drop old menu format since desktop file is provided
  * DEP5
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 11:23:40 +0100

pixelize (1.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965778)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 18:05:03 +0200

pixelize (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer uses Imlib, just gdkpixbuf (Closes: #456132, #508234).
      Thanks to Barry deFreese <bdefreese@debian.org> for the help!
    + Doesn't crash for files without extension anymore. It'll only save
      a file if you provide a known-good extension ('jpeg', 'png', and so on).
      The 'jpg' extension will _not_ work unfortunately! (Closes: #381482).
  * debian/control:
    + Standards-Version: 3.8.0 (no changes required).
    + Build-depend on libgtk2.0-dev instead of libgtk1.2-dev from now on.
  * debian/patches:
    + 10_small_fixes.patch: Update.
    + 20_makefile_fixes.patch: Update.
  * debian/watch: Add file.
  * debian/copyright: Switch to machine-readable format.
  * Mention that the manpages written by me are GPL'd.
  * debian/rules: LDFLAGS += "-Wl,--as-needed" in order to minimize deps.

 -- Uwe Hermann <uwe@debian.org>  Tue, 24 Feb 2009 21:29:10 +0100

pixelize (0.9.2-4) unstable; urgency=low

  * Switch to cdbs and debhelper 5.
  * Standards-Version: 3.7.3 (no changes required).
  * debian/control: Add Homepage field.
  * debian/copyright: Updates, add Debian package license.
  * debian/menu: Move to 'Applications/Graphics' section (new menu policy).
  * debian/pixelize.1: Document that you have to create an image
    database (pic_db.dat) using make_db(1) first, before you can use
    pixelize. Better error message if no database is found (Closes: #381460).
  * debian/pixelize.xpm, debian/pixelize.desktop: Added icon and desktop
    file, taken from Ubuntu, thanks (Closes: #449249, #381529).
  * This package should not be removed from Debian (Closes: #456655).
  * debian/README.Debian: Small updates.

 -- Uwe Hermann <uwe@debian.org>  Fri, 21 Dec 2007 00:04:05 +0100

pixelize (0.9.2-3) unstable; urgency=low

  * Adjust Build-Depends and rebuild (Closes: #333040). Thanks
    Matej Vela <vela@debian.org> for the reminder!
  * Standards-Version: 3.6.2.0 (no changes).
  * Fixed debian/copyright (lintian).

 -- Uwe Hermann <uwe@debian.org>  Sun, 29 Jan 2006 03:08:56 +0100

pixelize (0.9.2-2) unstable; urgency=medium

  * Rebuilt using libtiff4, urgency=medium, see bugreport (Closes: #262834).
  * Build-Depends: gdk-imlib1-dev (instead of gdk-imlib-dev).
  * Standards-Version: 3.6.1.0 (no changes).

 -- Uwe Hermann <uwe@debian.org>  Mon,  2 Aug 2004 12:08:06 +0200

pixelize (0.9.2-1.1) unstable; urgency=low

  * NMU: the "I earn my food at debcamp/debconf3" release
  * imlib1-dev dependency modified (Closes: #199601)
  * char variable changed to int: powerpc was broken (Closes #201139).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 14 Jul 2003 02:14:24 +0000

pixelize (0.9.2-1) unstable; urgency=low

  * Initial Release (Closes: #140516).
  * debian/pixelize.1, debian/make_db.1: I wrote two manpages, as there were
    none upstream.
  * README: Updated, the file was quite outdated.
  * TODO: Fixed a typo.
  * Makefile: Added support for DEB_BUILD_OPTIONS.

 -- Uwe Hermann <uwe@debian.org>  Sat, 30 Mar 2002 01:55:54 +0100
