=== debian/control ===
Source: pixelize
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Uwe Hermann <uwe@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgtk-3-dev,
               python3,
               clang-format
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pixelize
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pixelize.git
Homepage: https://github.com/jcdubois/pixelize/
Rules-Requires-Root: no

Package: pixelize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create an image consisting of many small images
 Pixelize is a program that will use many scaled down images to
 try to duplicate, as closely as possible, another image.
 .
 Pixelize works by splitting up the image you want rendered (or
 duplicated) into a grid of small rectangular areas. Each area
 is analyzed, and replaced with an image chosen from a large
 database of images. Pixelize tries to pick images that best
 match each area.
