=== debian/watch ===
version=4

opts="mode=git,pretty=2.0.0~git%cd.%h" \
    https://github.com/jcdubois/pixelize.git HEAD

# asked for tags in https://github.com/jcdubois/pixelize/issues/1
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/jcdubois/pixelize/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# http://lashwhip.com/pixelize/pixelize-(.*)\.tar\.gz
